Skip to main content
GET
/
alerts
List alerts
curl --request GET \
  --url https://api.withorb.com/v1/alerts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "\"usage_exceeded\", \"cost_exceeded\", \"credit_balance_depleted\", \"credit_balance_recovered\", or \"credit_balance_dropped\"",
      "created_at": "2023-11-07T05:31:56Z",
      "enabled": true,
      "thresholds": [
        {
          "value": 123
        }
      ],
      "customer": {
        "id": "<string>",
        "external_customer_id": "<string>"
      },
      "plan": {
        "id": "m2t5akQeh2obwxeU",
        "external_plan_id": "m2t5akQeh2obwxeU",
        "name": "Example plan",
        "plan_version": "<string>"
      },
      "subscription": {
        "id": "<string>"
      },
      "metric": {
        "id": "<string>"
      },
      "currency": "<string>",
      "license_type": {
        "id": "<string>"
      },
      "grouping_keys": [
        "<string>"
      ],
      "balance_alert_status": [
        {
          "threshold_value": 123,
          "in_alert": true
        }
      ]
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

customer_id
string | null

Fetch alerts scoped to this customer_id

external_customer_id
string | null

Fetch alerts scoped to this external_customer_id

subscription_id
string | null

Fetch alerts scoped to this subscription_id

created_at[gte]
string<date-time> | null
created_at[gt]
string<date-time> | null
created_at[lt]
string<date-time> | null
created_at[lte]
string<date-time> | null

Response

OK

data
Alert · object[]
required
pagination_metadata
PaginationMetadata · object
required